#ifndef WTRUNTIME_ROUTINES_H
#define WTRUNTIME_ROUTINES_H

#include "config.h"
#include "types.h"
#include "wtruntime.h"

static const wt_u16 wtr_routine_tcl_ja[] =
{
	((OP_TSZ   << WT_OPCODEBITS)),
	((OP_JF_I  << WT_OPCODEBITS)|((+3) & WT_OPDATAMASK)),
	((OP_TTD   << WT_OPCODEBITS)),
	((OP_JMP_I << WT_OPCODEBITS)|((-3) & WT_OPDATAMASK)),
	((OP_JA_S  << WT_OPCODEBITS))
};

static const wt_u16 wtr_routine_strd_leave[] =
{
	((OP_STRD  << WT_OPCODEBITS)),
	((OP_LEAVE << WT_OPCODEBITS))
};

static const wt_u32 wtr_routine_cfp_leave[] =
{
	((OP_CFP   << WT_OPCODEBITS)),
	((OP_LEAVE << WT_OPCODEBITS))
};

#endif /* WTRUNTIME_ROUTINES_H */
